NAMESTORE/JSON: fix parsing exp and flags
[oweals/gnunet.git] / src / gns / test_gns_config_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16 MY_EGO="myego"
17
18 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
19 CFG=`mktemp  --tmpdir=$PWD`
20 cp test_gns_lookup.conf $CFG || exit 77
21 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
22 TEST_IP="dead::beef"
23 gnunet-arm -s -c $CFG || exit 77
24 gnunet-identity -C $MY_EGO -c $CFG 
25 EPUB=`gnunet-identity -d -c $CFG | grep $MY_EGO | awk '{print $3}'`
26 gnunet-arm -e -c $CFG
27 gnunet-config -c $CFG -s "gns" -o ".google.com" -V $EPUB
28 gnunet-arm -s -c $CFG
29 sleep 1
30 gnunet-namestore -p -z $MY_EGO -a -n www -t AAAA -V $TEST_IP -e never -c $CFG
31 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.google.com -t AAAA -c $CFG`
32 gnunet-namestore -z $MY_EGO -d -n www -t AAAA -V $TEST_IP -e never -c $CFG
33 gnunet-identity -D $MY_EGO -c $CFG
34 gnunet-arm -e -c $CFG
35 rm -rf `gnunet-config -c $CFG -f -s paths -o GNUNET_TEST_HOME`
36 rm $CFG
37
38 if [ "$RES_IP" = "$TEST_IP" ]
39 then
40   exit 0
41 else
42   echo "Failed to resolve to proper IP, got $RES_IP."
43   exit 1
44 fi